Debian Bug report logs - #638012
error compiling(make: *** Documentation/lguest: No such file or directory. Stop)

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: "Brent S. Elmer" <webe3vt@aim.com>

Date: Tue, 16 Aug 2011 14:21:01 UTC

Severity: normal

Tags: patch

Found in version kernel-package/12.036+nmu1

Fixed in version kernel-package/12.036+nmu2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, webe3vt@aim.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638012; Package linux-source-3.0.0. (Tue, 16 Aug 2011 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Brent S. Elmer" <webe3vt@aim.com>:
New Bug report received and forwarded. Copy sent to webe3vt@aim.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Aug 2011 14:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brent S. Elmer" <webe3vt@aim.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: error compiling(make: *** Documentation/lguest: No such file or directory. Stop)
Date: Tue, 16 Aug 2011 10:16:59 -0400
Package: linux-source-3.0.0
Version: 3.0.0-1
Severity: normal

I am trying to build linux-source-3.0.0 and getting the following error:

make[1]: Leaving directory `/usr/local/src/linux-source-3.0.0'
/usr/bin/make -j5 EXTRAVERSION=.110816  ARCH=i386 \
                             -C Documentation/lguest
make: *** Documentation/lguest: No such file or directory.  Stop.
make: *** [debian/stamp/build/kernel] Error 2



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.39.110720 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-source-3.0.0 depends on:
ii  binutils              2.21.52.20110606-2 The GNU assembler, linker and bina
ii  bzip2                 1.0.5-6            high-quality block-sorting file co

Versions of packages linux-source-3.0.0 recommends:
ii  gcc                           4:4.6.1-2  GNU C compiler
ii  libc6-dev [libc-dev]          2.13-10    Embedded GNU C Library: Developmen
ii  make                          3.81-8.1   An utility for Directing compilati

Versions of packages linux-source-3.0.0 suggests:
ii  kernel-package               12.036+nmu1 A utility for building Linux kerne
ii  libncurses5-dev [ncurses-dev 5.9-1       developer's libraries for ncurses
ii  libqt4-dev                   4:4.7.3-5   Qt 4 development files

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#638012; Package linux-source-3.0.0. (Tue, 16 Aug 2011 14:43:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 16 Aug 2011 14:43:32 GMT) Full text and rfc822 format available.

Message #10 received at 638012@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Brent S. Elmer" <webe3vt@aim.com>, 638012@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#638012: error compiling(make: *** Documentation/lguest: No such file or directory. Stop)
Date: Tue, 16 Aug 2011 15:32:12 +0100
[Message part 1 (text/plain, inline)]
reassign 638012 kernel-package 12.036+nmu1
thanks

On Tue, 2011-08-16 at 10:16 -0400, Brent S. Elmer wrote:
> Package: linux-source-3.0.0
> Version: 3.0.0-1
> Severity: normal
> 
> I am trying to build linux-source-3.0.0 and getting the following error:
> 
> make[1]: Leaving directory `/usr/local/src/linux-source-3.0.0'
> /usr/bin/make -j5 EXTRAVERSION=.110816  ARCH=i386 \
>                              -C Documentation/lguest
> make: *** Documentation/lguest: No such file or directory.  Stop.
> make: *** [debian/stamp/build/kernel] Error 2

This is not a bug in the kernel source, but in kernel-package; that
directory has been moved to Documentation/virtual/lguest.

Ben.

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-source-3.0.0' to 'kernel-package'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 16 Aug 2011 14:43:34 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/3.0.0-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 16 Aug 2011 14:43:34 GMT) Full text and rfc822 format available.

Bug Marked as found in versions kernel-package/12.036+nmu1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 16 Aug 2011 14:43:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638012; Package kernel-package. (Wed, 17 Aug 2011 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikko Rapeli <mikko.rapeli@iki.fi>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 17 Aug 2011 18:27:05 GMT) Full text and rfc822 format available.

Message #21 received at 638012@bugs.debian.org (full text, mbox):

From: Mikko Rapeli <mikko.rapeli@iki.fi>
To: 638012@bugs.debian.org
Cc: control@bugs.debian.org
Subject: linux 3.0.y patch to kernel-package
Date: Wed, 17 Aug 2011 21:18:10 +0300
tags 638012 patch
thanks

This patch works for me on 2.6.39.4 and 3.0.2 kernels and latest unstable.

--- kernel/ruleset/targets/common.mk-orig	2011-08-17 18:24:16.048922011 +0300
+++ kernel/ruleset/targets/common.mk	2011-08-17 20:08:26.623916939 +0300
@@ -323,8 +323,13 @@ ifeq ($(DEB_HOST_ARCH_OS), linux)
     endif
   endif
   ifneq ($(strip $(shell grep -E ^[^\#]*CONFIG_LGUEST $(CONFIG_FILE))),)
+	if [ -e Documentation/lguest ]; then \
 	$(MAKE) $(do_parallel) $(EXTRAV_ARG) $(FLAV_ARG) ARCH=$(KERNEL_ARCH) \
-			    $(CROSS_ARG) -C Documentation/lguest
+			    $(CROSS_ARG) -C Documentation/lguest; \
+	elif [ -e Documentation/virtual/lguest ]; then \
+	$(MAKE) $(do_parallel) $(EXTRAV_ARG) $(FLAV_ARG) ARCH=$(KERNEL_ARCH) \
+			    $(CROSS_ARG) -C Documentation/virtual/lguest; \
+	fi
   endif
 else
   ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)




Added tag(s) patch. Request was from Mikko Rapeli <mikko.rapeli@iki.fi> to control@bugs.debian.org. (Wed, 17 Aug 2011 18:27:12 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from intrigeri <intrigeri+debian@boum.org> to control@bugs.debian.org. (Wed, 02 Nov 2011 07:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638012; Package kernel-package. (Wed, 02 Nov 2011 07:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian@boum.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 02 Nov 2011 07:42:09 GMT) Full text and rfc822 format available.

Message #30 received at 638012@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian@boum.org>
To: 638012@bugs.debian.org
Subject: Re: Processed: severity of 638012 is grave
Date: Wed, 02 Nov 2011 08:39:10 +0100
Hi,

Debian Bug Tracking System wrote (02 Nov 2011 07:21:04 GMT) :
> Bug #638012 [kernel-package] error compiling(make: *** Documentation/lguest: No
> such file or directory. Stop)
> Severity set to 'grave' from 'normal'

Explanation: Linux source with moved lguest documentation is now the
default in testing and unstable, so it seems to me this bug now makes
the package unusable or mostly so.

Bye,
-- 
  intrigeri <intrigeri@boum.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638012; Package kernel-package. (Wed, 02 Nov 2011 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian@boum.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 02 Nov 2011 07:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 638012@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian@boum.org>
To: 638012@bugs.debian.org
Cc: René Mayorga <rmayorga@debian.org>
Subject: kernel-package: diff for NMU version 12.036+nmu2
Date: Wed, 2 Nov 2011 08:48:31 +0100
[Message part 1 (text/plain, inline)]
tags 638012 + pending
thanks

Hi,

I've prepared an NMU for kernel-package (versioned as 12.036+nmu2) and I
will soon ask my AM to upload it to DELAYED/5. Please feel free to tell me
if I should delay it longer.

Regards.
-- 
  intrigeri

[kernel-package-12.036+nmu2-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from intrigeri <intrigeri+debian@boum.org> to control@bugs.debian.org. (Wed, 02 Nov 2011 07:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638012; Package kernel-package. (Wed, 02 Nov 2011 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 02 Nov 2011 08:24:03 GMT) Full text and rfc822 format available.

Message #42 received at 638012@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: intrigeri <intrigeri+debian@boum.org>, 638012@bugs.debian.org
Cc: René Mayorga <rmayorga@debian.org>
Subject: Re: Bug#638012: kernel-package: diff for NMU version 12.036+nmu2
Date: Wed, 2 Nov 2011 09:21:49 +0100
Hi René,

On Mittwoch, 2. November 2011, intrigeri wrote:
> I've prepared an NMU for kernel-package (versioned as 12.036+nmu2) and I
> will soon ask my AM to upload it to DELAYED/5. Please feel free to tell me
> if I should delay it longer.

I build linux-source and linux-images 3.0.4 packages with kernel-package 
without a problem, so I'm a bit surprised by this bug. Anyway, I would 

And, to make kernel-package work properly with 3.0 kernels, you will also want 
to address: #639251 #639251 and #629245 - the BTS has patches or they are 
straightforward.


cheers,
	Holger, who canceled his plan to NMU kernel-package as I could work 
around it by not using the -headers package and kernel-package being a bit too 
hairy...




Removed tag(s) pending. Request was from intrigeri <intrigeri+debian@boum.org> to control@bugs.debian.org. (Fri, 04 Nov 2011 19:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638012; Package kernel-package. (Thu, 22 Dec 2011 16:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Brent S. Elmer Ph.D." <webe3vt@aim.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Thu, 22 Dec 2011 16:21:07 GMT) Full text and rfc822 format available.

Message #49 received at 638012@bugs.debian.org (full text, mbox):

From: "Brent S. Elmer Ph.D." <webe3vt@aim.com>
To: 638012@bugs.debian.org
Subject: still a problem
Date: Thu, 22 Dec 2011 11:15:41 -0500
This is still a problem.  Is it going to be addressed?





Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638012; Package kernel-package. (Tue, 17 Jan 2012 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Davis <jesse@osbsolutions.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Tue, 17 Jan 2012 00:39:03 GMT) Full text and rfc822 format available.

Message #54 received at 638012@bugs.debian.org (full text, mbox):

From: Jesse Davis <jesse@osbsolutions.com>
To: 638012@bugs.debian.org
Subject: Re: Bug#638012: kernel-package: diff for NMU version 12.036+nmu2
Date: Mon, 16 Jan 2012 19:31:11 -0500
I just ran into this bug using make-kpkg to compile the newest
linux-3.2.1 kernel on squeeze.

As a workaround simply linking the virtual/lguest/ directory from the
Documentation folder of the source tree will solve the problem. For
example:

cd /usr/src/linux-3.2.1/Documentation
ln -s virtual/lguest/




Severity set to 'normal' from 'grave' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 04 Mar 2012 00:27:06 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 04 Mar 2012 03:39:31 GMT) Full text and rfc822 format available.

Notification sent to "Brent S. Elmer" <webe3vt@aim.com>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 03:39:32 GMT) Full text and rfc822 format available.

Message #61 received at 638012-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 638012-close@bugs.debian.org
Subject: Bug#638012: fixed in kernel-package 12.036+nmu2
Date: Sun, 04 Mar 2012 03:34:16 +0000
Source: kernel-package
Source-Version: 12.036+nmu2

We believe that the bug you reported is fixed in the latest version of
kernel-package, which is due to be installed in the Debian FTP archive:

kernel-package_12.036+nmu2.dsc
  to main/k/kernel-package/kernel-package_12.036+nmu2.dsc
kernel-package_12.036+nmu2.tar.gz
  to main/k/kernel-package/kernel-package_12.036+nmu2.tar.gz
kernel-package_12.036+nmu2_all.deb
  to main/k/kernel-package/kernel-package_12.036+nmu2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638012@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated kernel-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 04 Mar 2012 01:36:38 +0000
Source: kernel-package
Binary: kernel-package
Architecture: source all
Version: 12.036+nmu2
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 kernel-package - A utility for building Linux kernel related Debian packages.
Closes: 620515 633743 635019 635563 637421 638012
Changes: 
 kernel-package (12.036+nmu2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove minimum-version checks that were incorrect for Linux 3.x and
     were already satisfied by Linux 2.6.26 (lenny) (Closes: #635563)
   * Look for lguest tools in both Documentation/virtual/lguest and
     Documentation/lguest (Closes: #638012)
   * Do not suggest obsolete ksymoops package (Closes: #637421)
   * Fix incompatibility with make 3.82 due to indentation with spaces
     (Closes: #635019), thanks to Jens Lody
   * Fix native builds on armel and armhf (Closes: #633743):
     - Test for cross-compilation by comparing build CPU name with host
       CPU name, not host Debian architecture name
     - Merge armel.mk into arm.mk
     - Add default configuration for armhf
   * Change all example revisions in README to begin with a digit, as
     now expected by dpkg (Closes: #620515)
Checksums-Sha1: 
 05f8ba7480a093117f0d77b969a9a18d8edd2e90 1604 kernel-package_12.036+nmu2.dsc
 1baad762d04d4d50b772e9a4e4fc83521752770b 552405 kernel-package_12.036+nmu2.tar.gz
 cb3600aa2e09ae4286d7fb76044211809a5ffe75 500916 kernel-package_12.036+nmu2_all.deb
Checksums-Sha256: 
 0e1043f28d07aed4075f638a585b7ae01b8cd70fee0f97f1e0865810427c69a7 1604 kernel-package_12.036+nmu2.dsc
 a5355aac199a1a1d4a611964cdd9db5f835ad19f2ee2db0b769089c130303ec0 552405 kernel-package_12.036+nmu2.tar.gz
 a2756169a20ce529f45b0d43e7fa1965d54f08757d717c591ae61ae22a3a62ba 500916 kernel-package_12.036+nmu2_all.deb
Files: 
 e4a1ffb466994033a3e7e0dfce583c76 1604 kernel optional kernel-package_12.036+nmu2.dsc
 1fa5748615b13439189a29184ce247b0 552405 kernel optional kernel-package_12.036+nmu2.tar.gz
 2b3c860be371af88ef9c54278a5383b8 500916 kernel optional kernel-package_12.036+nmu2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBT1LfcOe/yOyVhhEJAQpvVA/9G6gDap1Rtsj3EyPjzAL+2QoGBl/hJ2BA
wjx1yO/G75kO72t7v7boWP5R1f0vW8GET/3Q6z61V2Tfq6So3vxS3S+nFJac0ird
azNPrCDDcezeLTvb7JvF4eTOvE1jruIjXKZKMoT3+EfjdTN5xX3lFq5PE3a3cKcS
cEHUo82Eixb7Dg7LTcphQ6vuW13oyI0nEgZ3oUp09njbi8ymy5szVXuH6JLiPcZe
aJf+ngP0mNQGHArR0ejKncPdaEE58FgiJUyXzIGZ38J1FD7JYA5GWU7TtivyASRf
OLDRChV8hHWoSPp/o2wBv+DPrtpSnJ5z8g1q0je1RlLURBIVZu/+U+/pPh7mFKOh
b+qC/fHVef96JhBh//omlUg51e3jPETDsJCIo10qf0Ni/+AprJJxJpoQsb6fBFEg
7KHiR3CKG07CuAwzCp1bI9sbbJbmwfMy5iHLf+v9400NF9BlH3dZQ7hN1uwcaOvJ
LXPyz8bZB2KalMUuPZ0JFtuwW4ka6FSYQhwyJ9G2CKBEKum5g5cOtQ3/oETel37z
YnAKLgVygKu+ZBoh+Cwc/JGsMPTguIbe3jr6aocWJgPm3riUrYmJmAVfknLK70YV
/M78ir5OKw7LRE2nd+Q2O5q4dR8FNXmng8+Jo9srBee5JD6Td5g5NbcIlxr42t1P
HYN7wxJAQzg=
=ba21
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:35:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:32:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.